DS_CONVERT_ATOMIC(3)

FUNCTION
ds_convert_atomic - Convert an atomic datum to a double precision value.

SYNOPSIS
#include <karma_ds.h>

double ds_convert_atomic

(CONST char *datum, unsigned int datum_type, double *real_out, double *imag_out)

DESCRIPTION
Convert an atomic datum to a double precision value.

datum
    The datum to be converted.

datum_type
    The type of the datum. See <-ds_KARMA_DATA_TYPES-> for a list of legal values. The following data types are not convertible, and the routine will return the value TOOBIG: NONE, K_ARRAY, LISTP, MULTI_ARRAY.

real_out
    The real component of the data is written here. If this is NULL, nothing is written here. This must lie on a <<double>> boundary.

imag_out
    The imaginary component of the data is written here. If this is NULL, nothing is written here. This must lie on a <<double>> boundary. For a real value, 0.0 is written.

RETURN VALUE
The absolute magnitude of the converted value on success, else TOOBIG.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/